import { WebSocketConstructor } from '@fuman/net';
import { IPacketCodec, ITelegramConnection, TelegramTransport } from '@mtcute/core';
import { BasicDcOption } from './utils.js';
export declare class WebSocketTransport implements TelegramTransport {
    private _baseDomain;
    private _subdomains;
    private _WebSocket;
    constructor({ ws, baseDomain, subdomains, }?: {
        /** Custom implementation of WebSocket (e.g. https://npm.im/ws) */
        ws?: WebSocketConstructor;
        /** Base WebSocket domain */
        baseDomain?: string;
        /** Map of sub-domains (key is DC ID, value is string) */
        subdomains?: Record<string, string>;
    });
    connect(dc: BasicDcOption): Promise<ITelegramConnection>;
    packetCodec(): IPacketCodec;
}
